{% extends "base.html" %}
{% load crispy_forms_tags %}
{% load static documents_tags %}
{% load keyvalue %}

{% block title %}
    MiCorr | Search tools
{% endblock %}

{% block content %}

  <div class="container">
      <div class="lightframe">

          <div class="row">
              {% if current_url == 'artefact-search-by-keywords'%}
                <div class="c6 pre3">
              {% else %}
                <div class="c6">
              {% endif %}
                  <h1>Search</h1>
              </div>
          </div>

{#          <div class="row">#}
{#              <form action="." method="get">#}
{#                  {% if current_url == 'artefact-search-by-keywords'%}#}
{#                      <div class="c6 pre3">#}
{#                  {% else %}#}
{#                    <div class="c6">#}
{#                  {% endif %}#}
{#                  <h3 class="underline">by keywords</h3>#}
{#                      <p>{{ search.q }}</p>#}
{#                      <br/>#}
{#                      {% crispy filter.form %}#}
{#                      <div class="line">#}
{#                          <button type="submit" class="btn btn-primary btn-lg">Search database <span class="glyphicon glyphicon-search faded"></span></button>#}
{#                      </div>#}
{#                  </div>#}
{#              </form>#}
{#              {% if current_url != 'artefact-search-by-keywords'%}#}
{#                <a href="{% url 'artefacts:searchStratigraphy' %}">#}
{#                     <h3 class="underline">By stratigraphy representation</h3>#}
{#                <div class="c6">#}
{#                    <i class="icon-micorr disc fa-4x"></i>#}
{#                </div>#}
{#                </a>#}
{#             {% endif %}#}
{#          </div>#}
{#      </div>#}
{% if request.GET %}
    <div class="row">
        {{ request.GET.text }}
    </div>
  <div class="row">
      <div class="line">
          <h1>Results</h1>
      </div>
  </div>
    {% for result_key in results %}
        <div class="row">
            <div class="line">
                <h2>{{ result_key }}</h2>
            </div>
        </div>
        {% for result in results|keyvalue:result_key %}
            <div class="row">
                <div class="line">
                {{ result }}
                </div>
            </div>
        {% endfor %}
    {% endfor %}
    

{#      <div class="table-responsive">#}
{#          <table class="table table-bordered table-striped table-hover">#}
{#              <tr>#}
{#                  <th>Metal Family</th>#}
{#                  <th>Alloy</th>#}
{#                  <th>Object type</th>#}
{#                  <th>Object name</th>#}
{#                  <th>Origin</th>#}
{#                  <th>Chronology</th>#}
{#                  <th>Technology</th>#}
{#                  <th>Artefact location</th>#}
{#              </tr>#}
{#              {% for artefact in results %}#}
{#                  <tr onmouseover="this.style.cursor='pointer'" onclick="document.location = '{% url 'artefacts:artefact-detail' artefact.pk %}'">#}
{#                      <td>{{ artefact.metal_e_1|default:"" }}</td>#}
{#                      <td>{{ artefact.alloy|default:"" }}</td>#}
{#                      <td>{{ artefact.type|default:"" }}</td>#}
{#                      <td>{{ artefact.object.name|default:"" }}</td>#}
{#                      <td>{{ artefact.origin|default:"" }}</td>#}
{#                      <td>{{ artefact.chronology_category.name|default:"" }}</td>#}
{#                      <td>{{ artefact.technology|default:"" }}</td>#}
{#                      <td>{{ artefact.location|default:"" }}</td>#}
{#                  </tr>#}
{#              {% empty %}#}
{#                  <tr><td colspan="8">No results found</td></tr>#}
{#              {% endfor %}#}
{#          </table>#}
{#      </div>#}
{#  </div>#}
  {% endif %}

<!--
  { if request.user.is_authenticated %}
      <div class="row">
          <div class="col-xs-2 col-xs-offset-10">
              <a href="{ url 'artefacts:artefact-create' %}"><button type="button" class="btn btn-primary">New Model</button></a>
          </div>
      </div>
  { endif %}
-->

</div>

{% endblock content %}
